Page MenuHomePhabricator

Add requested image list to UploadWizard
Open, LowPublic

Description

There are various lists of requested pictures [1][2], but these are hidden away from the average user and so they are of limited use. Many of the requests involve a specific location, and could be surfaced based on that: when a user finishes an upload process, UploadWizard could show a call to action with image requests in the close proximity of either the uploader himself, or the uploaded image.

This would require transforming the image requests into some sort of machine-readable format; this would be a lot of work, but in some specific cases it is already done, for example Wiki Loves Monuments contests have their own database and API and could easily produce lists of locations with few or no pictures.

(This is a potential OPW project: https://www.mediawiki.org/wiki/Outreach_Program_for_Women/Round_7#UploadWizard:_OSM_map_embedding )

[1] https://commons.wikimedia.org/wiki/Commons%3APicture_requests
[2] https://en.wikipedia.org/wiki/Wikipedia:Requested_pictures


Version: unspecified
Severity: enhancement

Details

Reference
bz56614

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz56614.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Nov 5 2013, 10:01 AM

Change 94587 had a related patch set uploaded by Nemo bis:
OPW Microtask:adding button to show osm map

https://gerrit.wikimedia.org/r/94587

Change 94587 merged by jenkins-bot:
Introducing a button to show coordinates in OSM

https://gerrit.wikimedia.org/r/94587

Change 96973 had a related patch set uploaded by Inchikutty:
Replacing 'show on map' button with a link having same functionality

https://gerrit.wikimedia.org/r/96973

Change 96973 abandoned by Inchikutty:
Replacing 'show on map' button with a link having same functionality

Reason:
better one coming up..

https://gerrit.wikimedia.org/r/96973

Change 101029 had a related patch set uploaded by Inchikutty:
Replacing 'show on map' button with a link

https://gerrit.wikimedia.org/r/101029

Change 101029 merged by jenkins-bot:
Replacing 'show on map' button with a link

https://gerrit.wikimedia.org/r/101029

Change 107892 had a related patch set uploaded by Inchikutty:
Embedding Static Map to UploadWizard( part of OPW round 7 Project)

https://gerrit.wikimedia.org/r/107892

Change 109063 had a related patch set uploaded by Inchikutty:
Embedding Leaflet Map based on OpenStreetMap data to UploadWizard(WIP)

https://gerrit.wikimedia.org/r/109063

Change 109263 had a related patch set uploaded by Inchikutty:
Embedding leaflet map based on OSM data to UploadWizard

https://gerrit.wikimedia.org/r/109263

Tgr added a comment.Feb 12 2014, 5:58 PM

Moved the patchsets to bug 56612 which is a better match.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:38 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:38 PM
MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 5:19 PM